curl --request PATCH \
--url https://api.whop.com/api/v1/ad_campaigns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_creative_set_ids": [
"<string>"
],
"config": {
"conversion_goal": "purchase",
"bid_strategy": "lowest_cost",
"bid_amount": 42,
"status": "active",
"special_categories": [
"<string>"
],
"budget_optimization": true,
"start_time": "<string>",
"end_time": "<string>"
},
"daily_budget": 6.9,
"product_id": "prod_xxxxxxxxxxxxx",
"target_country_codes": [
"<string>"
],
"title": "<string>"
}
'{
"id": "adcamp_xxxxxxxxxxx",
"title": "<string>",
"status": "active",
"target_country_codes": [
"<string>"
],
"daily_budget": 6.9,
"platform": "meta",
"available_budget": 6.9,
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"paused_until": "2023-12-01T05:00:00.401Z",
"clicks_count": 42,
"impressions_count": 42,
"purchases_count": 42,
"remaining_balance": 6.9,
"revenue": 6.9,
"return_on_ad_spend": 6.9,
"todays_spend": 6.9,
"total_credits": 6.9,
"total_spend": 6.9,
"product": {
"id": "prod_xxxxxxxxxxxxx",
"title": "Pickaxe Analytics",
"route": "pickaxe-analytics"
},
"created_by_user": {
"id": "user_xxxxxxxxxxxxx",
"name": "John Doe",
"username": "johndoe42"
},
"payment_method": {
"typename": "<string>",
"id": "payt_xxxxxxxxxxxxx",
"created_at": "2023-12-01T05:00:00.401Z",
"payment_method_type": "acss_debit"
},
"billing_ledger_account": {
"id": "ldgr_xxxxxxxxxxxxx"
},
"config": {
"conversion_goal": "purchase",
"bid_strategy": "lowest_cost",
"bid_amount": 42,
"status": "active",
"special_categories": [
"<string>"
],
"budget_optimization": true,
"start_time": "<string>",
"end_time": "<string>"
}
}Updates an existing ad campaign.
Required permissions:
ad_campaign:updateaccess_pass:basic:readcompany:balance:readcurl --request PATCH \
--url https://api.whop.com/api/v1/ad_campaigns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_creative_set_ids": [
"<string>"
],
"config": {
"conversion_goal": "purchase",
"bid_strategy": "lowest_cost",
"bid_amount": 42,
"status": "active",
"special_categories": [
"<string>"
],
"budget_optimization": true,
"start_time": "<string>",
"end_time": "<string>"
},
"daily_budget": 6.9,
"product_id": "prod_xxxxxxxxxxxxx",
"target_country_codes": [
"<string>"
],
"title": "<string>"
}
'{
"id": "adcamp_xxxxxxxxxxx",
"title": "<string>",
"status": "active",
"target_country_codes": [
"<string>"
],
"daily_budget": 6.9,
"platform": "meta",
"available_budget": 6.9,
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"paused_until": "2023-12-01T05:00:00.401Z",
"clicks_count": 42,
"impressions_count": 42,
"purchases_count": 42,
"remaining_balance": 6.9,
"revenue": 6.9,
"return_on_ad_spend": 6.9,
"todays_spend": 6.9,
"total_credits": 6.9,
"total_spend": 6.9,
"product": {
"id": "prod_xxxxxxxxxxxxx",
"title": "Pickaxe Analytics",
"route": "pickaxe-analytics"
},
"created_by_user": {
"id": "user_xxxxxxxxxxxxx",
"name": "John Doe",
"username": "johndoe42"
},
"payment_method": {
"typename": "<string>",
"id": "payt_xxxxxxxxxxxxx",
"created_at": "2023-12-01T05:00:00.401Z",
"payment_method_type": "acss_debit"
},
"billing_ledger_account": {
"id": "ldgr_xxxxxxxxxxxxx"
},
"config": {
"conversion_goal": "purchase",
"bid_strategy": "lowest_cost",
"bid_amount": 42,
"status": "active",
"special_categories": [
"<string>"
],
"budget_optimization": true,
"start_time": "<string>",
"end_time": "<string>"
}
}A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
The unique identifier of the ad campaign to update.
"adcamp_xxxxxxxxxxx"
Parameters for UpdateAdCampaignV2
Array of creative set IDs to link to this campaign.
Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.
Unified campaign configuration (conversion goal, budget, bidding, etc.).
Show child attributes
Daily budget in dollars (minimum $5).
6.9
The unique identifier of the product (access pass) to promote.
"prod_xxxxxxxxxxxxx"
Array of ISO3166 country codes for territory targeting.
Represents textual data as UTF-8 character sequences. This type is most often used by GraphQL to represent free-form human-readable text.
The title of the ad campaign. Must be max 100 characters.
A successful response
An advertising campaign running on an external platform or within Whop.
The unique identifier for the ad campaign.
"adcamp_xxxxxxxxxxx"
The title of the ad campaign
Current status of the campaign (active, paused, or inactive)
active, paused, inactive, stale Array of ISO3166 country codes for territory targeting
Represents textual data as UTF-8 character sequences. This type is most often used by GraphQL to represent free-form human-readable text.
Effective daily budget in dollars — sum of ad group budgets when set, otherwise campaign-level daily budget
6.9
The external platform this campaign is running on (e.g., meta, tiktok).
meta, tiktok Available budget in dollars, capped at daily budget minus today's spend for daily campaigns
6.9
The datetime the ad campaign was created.
"2023-12-01T05:00:00.401Z"
The datetime the ad campaign was last updated.
"2023-12-01T05:00:00.401Z"
If temporarily paused, the timestamp when the campaign will auto-resume
"2023-12-01T05:00:00.401Z"
Number of clicks
42
Number of impressions (views)
42
Number of purchases
42
Remaining balance in dollars
6.9
Total revenue generated from users who converted through this campaign
6.9
Return on Ad Spend (ROAS) percentage - revenue generated divided by ad spend
6.9
Amount spent today in dollars
6.9
Total credits added to the campaign in dollars
6.9
Total amount spent on conversions in dollars
6.9
The access pass being promoted. Null for campaigns that don't target a specific product.
Show child attributes
The user who created the campaign
Show child attributes
A saved payment method with no type-specific details available.
Show child attributes
The ledger account being charged for platform balance billing (null if using card)
Show child attributes
Unified campaign configuration (objective, budget, bidding, etc.).
Show child attributes
Was this page helpful?